# Automatic noise parse python program for DMM noise measurement project
# http://xdevs.com/article/dmm_noise/ - Article with details
# &copy; xDevs.com 2015

import csv
import sys
import math
import glob
import os
from math import exp, expm1
from datetime import datetime

with open('2001_zero_1v_nplc10.csv','wb') as o:
    o.write ("date;value;math;temp;ext_temp;rh;pressure;    \r")
    with open('zeroc_2001_nplc10_tin_00000.csv', 'rb') as i:
        reader = csv.DictReader(i, delimiter=';')
        ref = 2.49707
        val = 0.0
        cnt = 0
        avg = 0
        row = 0
        math = 2.33E-6
        for row in reader:
            val = float(row['hp3458a'])
            cnt = cnt+1
            #val = ( ( (temp * 2E6 - 122400) / 420)) + 25
            val = val - math
            avg = avg + val
            print ("%s;%12.8f;%12.8f;%4.2f;%4.2f;%6.2f;" % (row['date'], val, math, float(row['ppm_level']), float(row['ext_temp']), float(row['rh']) ) )
            o.write ("%s;%12.8f;%12.8f;%4.2f;%4.2f;%6.2f;\r\n" % (row['date'], val, math, float(row['ppm_level']), float(row['ext_temp']), float(row['rh']) ) )
        avg = avg / cnt
        print ("AVG:   %10.8f" % avg)
    i.close()
o.close()


